lucene-solr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ron Veenstra (JIRA)" <j...@apache.org>
Subject [jira] Issue Comment Edited: (SOLR-236) Field collapsing
Date Thu, 04 Jun 2009 02:24:07 GMT

    [ https://issues.apache.org/jira/browse/SOLR-236?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12716128#action_12716128
] 

Ron Veenstra edited comment on SOLR-236 at 6/3/09 7:22 PM:
-----------------------------------------------------------

I require assistance.  I've installed a fresh Solr (1.3.0), and all appears/operates well.
 I then patch using SOLR-236_collapsing.patch [by  	Thomas Traeger]  (the last patch i saw
claimed to work with 1.3.0), without error.  I then add to solrconfig.xml the following (per:
http://wiki.apache.org/solr/FieldCollapsing) :

  <searchComponent name="collapse"     class="org.apache.solr.handler.component.CollapseComponent"
/>

Upon restart, I get a long configuration error, which seems to hinge on:

HTTP Status 500 - Severe errors in solr configuration. Check your log files for more detailed
information on what may be wrong. If you want solr to continue after configuration errors,
change: <abortOnConfigurationError>false</abortOnConfigurationError> in solrconfig.xml
------------------------------------------------------------- org.apache.solr.common.SolrException:
Error loading class 'org.apache.solr.handler.component.CollapseComponent' at org.apache.solr.core.SolrResourceLoader.findClass(SolrResourceLoader.java:273)

[the full error can be included if desired.]

I've verified that the CollapseComponent file exists in the proper place.
I've moved CollapseParams as required, (move CollapseParams.java from common/org/apache/solr/common/params
to java/org/apache/solr/common/params/ )
I've tried multiple iterations of the patch (on fresh installs), all with the same issue.

Are there additional steps, patches, or configurations that are required?
Is this a known issue?
Any help is very much appreciated.

      was (Author: ronunism):
    I require assistance.  I've installed a fresh Solr (1.3.0), and all appears/operates well.
 I then patch using SOLR-236_collapsing.patch (the last patch i saw claimed to work with 1.3.0),
without error.  I then add to solrconfig.xml the following (per: http://wiki.apache.org/solr/FieldCollapsing)
:

  <searchComponent name="collapse"     class="org.apache.solr.handler.component.CollapseComponent"
/>

Upon restart, I get a long configuration error, which seems to hinge on:

HTTP Status 500 - Severe errors in solr configuration. Check your log files for more detailed
information on what may be wrong. If you want solr to continue after configuration errors,
change: <abortOnConfigurationError>false</abortOnConfigurationError> in solrconfig.xml
------------------------------------------------------------- org.apache.solr.common.SolrException:
Error loading class 'org.apache.solr.handler.component.CollapseComponent' at org.apache.solr.core.SolrResourceLoader.findClass(SolrResourceLoader.java:273)

[the full error can be included if desired.]

I've verified that the CollapseComponent file exists in the proper place.
I've moved CollapseParams as required, (move CollapseParams.java from common/org/apache/solr/common/params
to java/org/apache/solr/common/params/ )
I've tried multiple iterations of the patch (on fresh installs), all with the same issue.

Are there additional steps, patches, or configurations that are required?
Is this a known issue?
Any help is very much appreciated.
  
> Field collapsing
> ----------------
>
>                 Key: SOLR-236
>                 URL: https://issues.apache.org/jira/browse/SOLR-236
>             Project: Solr
>          Issue Type: New Feature
>          Components: search
>    Affects Versions: 1.3
>            Reporter: Emmanuel Keller
>             Fix For: 1.5
>
>         Attachments: collapsing-patch-to-1.3.0-dieter.patch, collapsing-patch-to-1.3.0-ivan.patch,
collapsing-patch-to-1.3.0-ivan_2.patch, collapsing-patch-to-1.3.0-ivan_3.patch, field-collapse-solr-236-2.patch,
field-collapse-solr-236.patch, field-collapsing-extended-592129.patch, field_collapsing_1.1.0.patch,
field_collapsing_1.3.patch, field_collapsing_dsteigerwald.diff, field_collapsing_dsteigerwald.diff,
field_collapsing_dsteigerwald.diff, SOLR-236-FieldCollapsing.patch, SOLR-236-FieldCollapsing.patch,
SOLR-236-FieldCollapsing.patch, solr-236.patch, SOLR-236_collapsing.patch, SOLR-236_collapsing.patch
>
>
> This patch include a new feature called "Field collapsing".
> "Used in order to collapse a group of results with similar value for a given field to
a single entry in the result set. Site collapsing is a special case of this, where all results
for a given web site is collapsed into one or two entries in the result set, typically with
an associated "more documents from this site" link. See also Duplicate detection."
> http://www.fastsearch.com/glossary.aspx?m=48&amid=299
> The implementation add 3 new query parameters (SolrParams):
> "collapse.field" to choose the field used to group results
> "collapse.type" normal (default value) or adjacent
> "collapse.max" to select how many continuous results are allowed before collapsing
> TODO (in progress):
> - More documentation (on source code)
> - Test cases
> Two patches:
> - "field_collapsing.patch" for current development version
> - "field_collapsing_1.1.0.patch" for Solr-1.1.0
> P.S.: Feedback and misspelling correction are welcome ;-)

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message